GridStatusFriendlyNames = GridStatus:NewModule('GridStatusFriendlyNames')

GridStatusFriendlyNames.friendlyNames = {
    ["Skywalker"] = "Luke",
    ["DarthVader"] = "Dad",
}

function GridStatusFriendlyNames:OnInitialize(...)
    self.super.OnInitialize(self, ...)
    -- use GridStatus directly because we're not creating an option menu
    GridStatus:RegisterStatus("unit_friendlyname", "Friendly Name", (self.name or true))
end

function GridStatusFriendlyNames:OnEnable()
    self:RegisterEvent("Grid_StatusGained")
    self:RegisterEvent("Grid_StatusLost")
end

function GridStatusFriendlyNames:Grid_StatusGained(name, status, priority, range, color, text, value, maxValue, texture)
    if status ~= "unit_name" then
        return
    end

    if self.friendlyNames[name] then
        self.core:SendStatusGained(name, 'unit_friendlyname', priority + 1, range, color, self.friendlyNames[name], value, maxValue, texture)
    end
end

function GridStatusFriendlyNames:Grid_StatusLost(name, status)
    if status ~= "unit_name" then
        return
    end

    if self.friendlyNames[name] then
        self.core:SendStatusLost(name, 'unit_friendlyname')
    end
end

friendlyNames = {
};
